%define	oname	geomcfly

Summary:	Geolocalized Metalinks created on the Fly
Name:		python-%{oname}
Version:	0.8.1
Release:	%mkrel 5
Source0:	%{oname}-%{version}.tar.gz
URL:		http://geomcfly.sourceforge.net/
License:	GPLv2+
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python-geoip python-metalink

%description
This module is for creation of metalinks from a list of mirrors with their
preference relative to clients' geographical location.


%prep
%setup -q -n %{oname}-%{version}

%build

%install
rm -rf %{buildroot}
install -m644 %{oname}.py -D %{buildroot}%{python_sitelib}/%{oname}.py
install -m755 %{oname}.py.cgi -D %{buildroot}/var/www/cgi-bin/%{oname}.py.cgi
install -d %{buildroot}%{_localstatedir}/lib/%{oname}
install -d %{buildroot}/var/run/%{oname}
touch %{buildroot}/var/run/%{oname}/lock

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/%{oname}.py
/var/www/cgi-bin/%{oname}.py.cgi
%attr(-,apache,apache) %{_localstatedir}/lib/%{oname}
%attr(-,apache,apache) /var/run/%{oname}/lock
%ghost /var/run/%{oname}/lock



%changelog
* Sun Aug 11 2013 billybot <billybot>
 -update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Sat Mar 27 2010 Texstar <texstar at gmail.com> 0.8.1-4pclos2010
- fix description

* Mon Sep 21 2009 pcserver <pcserver at hush.com> 0.8.1-3pclos2010
- update & rebuild

